Table of Contents

Class: Tendril | Twisted-0.17.4/twisted/words/tendril.py
--- | ---

Base Classes |
--- | ---
tcp.Connector reflect.Accessor

Methods |
--- | ---

__getstate__ __init__ get_errorGroup set_errorGroup set_groupList | set_helptext set_host set_nickname set_portno startConnecting

| __getstate__

    __getstate__ ( self )

| __init__

    __init__ (
            self,
            host,
            portno,
            protocolFactory,
            timeout=30,
            )

| get_errorGroup

    get_errorGroup ( self )

| set_errorGroup

    set_errorGroup ( self,  errorGroup )

| set_groupList

    set_groupList ( self,  groupList )

| set_helptext

    set_helptext ( self,  helptext )

| set_host

    set_host ( self,  host )

### Set which host I connect to.

If I am currently connected to a host with a different name, I will disconnect and switch to the new one.

| set_nickname

    set_nickname ( self,  nick )

| set_portno

    set_portno ( self,  portno )

### Set the port I connect to.

If I am currently connected to a different port, I will disconnect and switch to the new one.

| startConnecting

    startConnecting ( self )

Exceptions |
--- | ---
RuntimeError("Insufficiently configured to start connecting." " (host: %s port: %s)" %(repr( self.host ), repr( self.portno ) ) )

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:59 2002 by HappyDoc version 2.0